//
// Includefile for hpkbd PS/2 mouse handling
//
void PS2MouseInit(void);
int PS2MouseTest(void);
int PS2Mousegetc(void);
void PS2Mouseputc(char ch);
void PS2MouseReset(void);
//
// Bit 7 Bit 6 Bit 5 Bit 4 Bit 3 Bit 2 Bit 1 Bit 0
// Y overflow
//       X overflow
//             Y sign bit
//                   X sign bit
//                         Always 1
//                               Middle Btn
//                                     Right Btn
//                                           Left Btn
//Byte 2	X Movement
//Byte 3    Y Movement
//
typedef union {
    struct {
        unsigned left           :1;
        unsigned right          :1;
        unsigned middle         :1;
        unsigned one            :1;
        unsigned xsign          :1;
        unsigned ysign          :1;
        unsigned xoverflow      :1;
        unsigned yoverflow      :1;   
    };
    unsigned char status;
} MouseStatus_t;

extern MouseStatus_t MouseStatus;
extern MouseStatus_t OldMouseStatus;
extern int MouseErrors;

